Subject: bug#52669: 29.0.50; build failure: ‘Qsqlitep’ undeclared

From: Ken Brown <[email-masked]>
Date: Mon, 20 Dec 2021 18:07:51 -0500

On 12/20/2021 5:42 PM, Sam Steingold wrote:
>> * Glenn Morris <[email-masked]> [2021-12-20 17:21:43 -0500]:
>>
>> Ken Brown wrote:
>>
>>> The second one doesn't exist in a clean source tree.
>>
>> Indeed. I think attempting an out-of-tree build without first
>> (dist)cleaning up any previous in-tree build is a user-error.
> 
> I am not sure I agree with this.
> While I never build in-tree (except accidentally), I see no reason why
> in-tree and out-of-tree builds should not be able to co-exist.

They should be able to co-exist only if the build system is designed to allow 
it.  This strikes me as an unnecessary maintenance burden.  I think it's more 
reasonable to expect people to make sure they're building from a clean source 
tree when they get unexpected build errors.

Ken